Subject: bug#60190: 29.0.50; Improve `Info-goto-node-web'

From: Drew Adams <[email-masked]>
Date: Mon, 19 Dec 2022 20:33:43 +0000

> > There, a prefix arg reverses the effect of the current
> > value of option `browse-url-new-window-flag', which
> > decides whether a new browser window is used instead
> > of the current one.
> 
> Out of curiosity – is it possible to decide that when calling
> e.g. Firefox?

Dunno, but I'd guess so.  Since the first web
browsers it's typically been possible to open a
URL in a new browser window or an existing one.

info+.el hands off that bit to `browse-url.el'.
That's the helper for browsing URLs with web
browsers.  If it can't also open a URL in a tab
then maybe that feature should be added to it.

> (Frankly, I'm not sure why I would want a separate window
> when ff has tabs, but maybe some people do use windows...)

I use both tabs and separate windows with web browsers,
e.g., Firefox and Chrome (e.g. Brave).

Maybe you just have one browser window.  Maybe
you have it full-screen.  To me, that would be
quite limiting, but we all have our preferences.

> > And maybe the option should cover not only this
> > command but also commands that read a URL - IOW,
> > maybe it should be a general user preference
> > whether to add URLs (that you choose interactively)
> > to the kill-ring.
> 
> Not sure about this – why put a URL I _type_ into the kill ring?  Though
> I agree that if the URL is somehow generated, this may be very useful.
> For instance, if I had a function which could open DevDocs pages,
> copying their URLs to the kill ring (or in this case, the system
> clipboard) could make it easier to send their links to my teammates
> (something I do fairly often).

Why?  Why not?  Why type it twice or more?

Not saying I'd use such a feature, or how much I
would. But I can imagine that some users might.
Till now I might not have thought that someone
would want what you request: add the URL to the
kill-ring for the Info case.

IOW, I'm not sure either.  But if we're starting
to think about such things then we might as well
think them through a bit.